package com.unis.base.server.dao;

import com.unis.base.common.vo.CompanyRecordsQueryVO;
import com.unis.base.common.vo.CompanyRecordsVO;
import com.unis.base.server.entity.CompanyRecordsDO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface CompanyRecordsDao {

    /**
     * 根据参数获取企业记录列表
     * @param CompanyRecordsQueryVO
     * @return
     */
    List<CompanyRecordsVO> getCompanyRecordsList(CompanyRecordsQueryVO CompanyRecordsQueryVO);

    /**
     * 新增企业记录
     * @param companyRecordsDO
     * @return
     */
    int insert(CompanyRecordsDO companyRecordsDO);

    int insertSelective(CompanyRecordsDO record);

    /**
     * 获取企业记录详情
     * @param qybabh
     * @return
     */
    CompanyRecordsDO getCompanyRecordsInfo(String qybabh);

    /**
     * 获取最大记录id
     * @return
     */
    Integer selectMaxId();

    /**
     * 获取最大设备编号
     * @return
     */
    String getMaxById(@Param("prefix")String prefix);

    /**
     * 更新企业记录信息
     * @param companyRecordsDO
     * @return
     */
    int update(CompanyRecordsDO companyRecordsDO);
}